Debian Bug report logs - #685545
ITP: pthreads-win32 -- POSIX threads library for Windows

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stephen Kitt <steve@sk2.org>

Date: Tue, 21 Aug 2012 20:09:02 UTC

Owned by: Stephen Kitt <steve@sk2.org>

Severity: wishlist

Fixed in version pthreads-win32/2.9.1+dfsg-1

Done: Stephen Kitt <steve@sk2.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#685545; Package wnpp. (Tue, 21 Aug 2012 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 21 Aug 2012 20:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pthreads-win32 -- POSIX threads library for Windows
Date: Tue, 21 Aug 2012 22:04:32 +0200
Package: wnpp
Severity: wishlist
Owner: Stephen Kitt <steve@sk2.org>

* Package name    : pthreads-win32
  Version         : 2.9.1+dfsg
  Upstream Author : Ross Johnson <Firstname.Lastname at homemail.com.au>
* URL             : http://sources.redhat.com/pthreads-win32/
* License         : LGPL-2.1
  Programming Lang: C
  Description     : POSIX threads library for Windows

 pthreads-win32 provides an implementation of POSIX 1003.1-2001
 threads for 32- and 64-bit Windows.
 .
 This package contains both development and runtime files required to
 develop with and use pthreads using MinGW-w64.


This is required to support libgomp with MinGW-w64 (as well as being
generally useful for software using pthreads).



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stephen Kitt <steve@sk2.org>:
Bug#685545; Package wnpp. (Tue, 21 Aug 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stephen Kitt <steve@sk2.org>. (Tue, 21 Aug 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 685545@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Stephen Kitt <steve@sk2.org>, 685545@bugs.debian.org
Subject: Re: Bug#685545: ITP: pthreads-win32 -- POSIX threads library for Windows
Date: Tue, 21 Aug 2012 22:51:15 +0200
On Tue, Aug 21, 2012 at 10:04 PM, Stephen Kitt <steve@sk2.org> wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Stephen Kitt <steve@sk2.org>
>
> * Package name    : pthreads-win32
>   Version         : 2.9.1+dfsg
>   Upstream Author : Ross Johnson <Firstname.Lastname at homemail.com.au>
> * URL             : http://sources.redhat.com/pthreads-win32/
> * License         : LGPL-2.1
>   Programming Lang: C
>   Description     : POSIX threads library for Windows
>
>  pthreads-win32 provides an implementation of POSIX 1003.1-2001
>  threads for 32- and 64-bit Windows.
>  .
>  This package contains both development and runtime files required to
>  develop with and use pthreads using MinGW-w64.
>
>
> This is required to support libgomp with MinGW-w64 (as well as being
> generally useful for software using pthreads).
>

What about some fix here ?
https://github.com/GerHobbelt/pthread-win32/commits/master/

> --
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120821200432.8671.81932.reportbug@heffalump.sk2.org
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#685545; Package wnpp. (Tue, 21 Aug 2012 21:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 Aug 2012 21:33:09 GMT) Full text and rfc822 format available.

Message #15 received at 685545@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 685545@bugs.debian.org
Subject: Re: Bug#685545: ITP: pthreads-win32 -- POSIX threads library for Windows
Date: Tue, 21 Aug 2012 23:28:07 +0200
Hi Bastien,

On Tue, Aug 21, 2012 at 10:51:15PM +0200, Bastien ROUCARIES wrote:
> On Tue, Aug 21, 2012 at 10:04 PM, Stephen Kitt <steve@sk2.org> wrote:
> > * Package name    : pthreads-win32
> 
> What about some fix here ?
> https://github.com/GerHobbelt/pthread-win32/commits/master/

Thanks, I didn't know about that fork; there certainly seem to be some
useful fixes there. Did you have any particular commits in mind?

Regards,

Stephen



Added indication that bug 685545 blocks 625779,571773 Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Tue, 21 Aug 2012 21:39:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stephen Kitt <steve@sk2.org>:
Bug#685545; Package wnpp. (Wed, 22 Aug 2012 10:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stephen Kitt <steve@sk2.org>. (Wed, 22 Aug 2012 10:15:06 GMT) Full text and rfc822 format available.

Message #22 received at 685545@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 685545@bugs.debian.org
Subject: Fwd: Bug#685545: ITP: pthreads-win32 -- POSIX threads library for Windows
Date: Wed, 22 Aug 2012 12:11:08 +0200
---------- Forwarded message ----------
From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
Date: Wed, Aug 22, 2012 at 12:10 PM
Subject: Re: Bug#685545: ITP: pthreads-win32 -- POSIX threads library
for Windows
To: Stephen Kitt <steve@sk2.org>


On Tue, Aug 21, 2012 at 11:28 PM, Stephen Kitt <steve@sk2.org> wrote:
> Hi Bastien,
>
> On Tue, Aug 21, 2012 at 10:51:15PM +0200, Bastien ROUCARIES wrote:
>> On Tue, Aug 21, 2012 at 10:04 PM, Stephen Kitt <steve@sk2.org> wrote:
>> > * Package name    : pthreads-win32
>>
>> What about some fix here ?
>> https://github.com/GerHobbelt/pthread-win32/commits/master/
>
> Thanks, I didn't know about that fork; there certainly seem to be some
> useful fixes there. Did you have any particular commits in mind?

this one
https://github.com/GerHobbelt/pthread-win32/commit/c8fbc10c6ec73a52f07f9674bd82539a1485625b
these two one replace void * with ptr_int and cast after (does not
concern us with mingw but could, and in all the case using int64 is
cleaner I think it is guaranted to keep a pointer on it or a int)
https://github.com/GerHobbelt/pthread-win32/commit/339f9c47536d0a0294f8ca70321ba0e5e745ec17
https://github.com/GerHobbelt/pthread-win32/commit/06f5bb1e85f38aa8ee6e04f6172a600ea3eb7083
these one need to be ported upstream (not mingw)
https://github.com/GerHobbelt/pthread-win32/commit/e72c42ba67ee0256fab55158d190efae21d826f6
this test to upstream
https://github.com/GerHobbelt/pthread-win32/commit/321adcd88b11b2fe6aaeaee03805e0a4a6d55df4
this seems reasonable for us
https://github.com/GerHobbelt/pthread-win32/commit/80392281abf08e5cc96cd599f8e1e114c0866c99

Thanks

Bastien


>
> Regards,
>
> Stephen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stephen Kitt <steve@sk2.org>:
Bug#685545; Package wnpp. (Wed, 29 Aug 2012 21:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stephen Kitt <steve@sk2.org>. (Wed, 29 Aug 2012 21:09:05 GMT) Full text and rfc822 format available.

Message #27 received at 685545@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: Stephen Kitt <steve@sk2.org>
Cc: 685545@bugs.debian.org
Subject: Re: Bug#685545: ITP: pthreads-win32 -- POSIX threads library for Windows
Date: Wed, 29 Aug 2012 23:08:22 +0200
On Tue, Aug 21, 2012 at 11:28 PM, Stephen Kitt <steve@sk2.org> wrote:
> Hi Bastien,
>
> On Tue, Aug 21, 2012 at 10:51:15PM +0200, Bastien ROUCARIES wrote:
>> On Tue, Aug 21, 2012 at 10:04 PM, Stephen Kitt <steve@sk2.org> wrote:
>> > * Package name    : pthreads-win32
>>
>> What about some fix here ?
>> https://github.com/GerHobbelt/pthread-win32/commits/master/
>
> Thanks, I didn't know about that fork; there certainly seem to be some
> useful fixes there. Did you have any particular commits in mind?
>
> Regards,


See also
http://sourceforge.net/tracker/?func=detail&aid=2921774&group_id=200665&atid=974439
> Stephen



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stephen Kitt <steve@sk2.org>:
Bug#685545; Package wnpp. (Wed, 29 Aug 2012 21:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stephen Kitt <steve@sk2.org>. (Wed, 29 Aug 2012 21:09:07 GMT) Full text and rfc822 format available.

Message #32 received at 685545@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 685545@bugs.debian.org
Subject: Fwd: Bug#685545: ITP: pthreads-win32 -- POSIX threads library for Windows
Date: Wed, 29 Aug 2012 23:08:45 +0200
---------- Forwarded message ----------
From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
Date: Wed, Aug 22, 2012 at 12:10 PM
Subject: Re: Bug#685545: ITP: pthreads-win32 -- POSIX threads library
for Windows
To: Stephen Kitt <steve@sk2.org>


On Tue, Aug 21, 2012 at 11:28 PM, Stephen Kitt <steve@sk2.org> wrote:
> Hi Bastien,
>
> On Tue, Aug 21, 2012 at 10:51:15PM +0200, Bastien ROUCARIES wrote:
>> On Tue, Aug 21, 2012 at 10:04 PM, Stephen Kitt <steve@sk2.org> wrote:
>> > * Package name    : pthreads-win32
>>
>> What about some fix here ?
>> https://github.com/GerHobbelt/pthread-win32/commits/master/
>
> Thanks, I didn't know about that fork; there certainly seem to be some
> useful fixes there. Did you have any particular commits in mind?

this one
https://github.com/GerHobbelt/pthread-win32/commit/c8fbc10c6ec73a52f07f9674bd82539a1485625b
these two one replace void * with ptr_int and cast after (does not
concern us with mingw but could, and in all the case using int64 is
cleaner I think it is guaranted to keep a pointer on it or a int)
https://github.com/GerHobbelt/pthread-win32/commit/339f9c47536d0a0294f8ca70321ba0e5e745ec17
https://github.com/GerHobbelt/pthread-win32/commit/06f5bb1e85f38aa8ee6e04f6172a600ea3eb7083
these one need to be ported upstream (not mingw)
https://github.com/GerHobbelt/pthread-win32/commit/e72c42ba67ee0256fab55158d190efae21d826f6
this test to upstream
https://github.com/GerHobbelt/pthread-win32/commit/321adcd88b11b2fe6aaeaee03805e0a4a6d55df4
this seems reasonable for us
https://github.com/GerHobbelt/pthread-win32/commit/80392281abf08e5cc96cd599f8e1e114c0866c99

Thanks

Bastien


>
> Regards,
>
> Stephen



Added indication that bug 685545 blocks 686210 Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Thu, 30 Aug 2012 21:39:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Stephen Kitt <steve@sk2.org>:
You have taken responsibility. (Sun, 09 Dec 2012 16:03:13 GMT) Full text and rfc822 format available.

Notification sent to Stephen Kitt <steve@sk2.org>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 16:03:13 GMT) Full text and rfc822 format available.

Message #41 received at 685545-close@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: 685545-close@bugs.debian.org
Subject: Bug#685545: fixed in pthreads-win32 2.9.1+dfsg-1
Date: Sun, 09 Dec 2012 16:00:05 +0000
Source: pthreads-win32
Source-Version: 2.9.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
pthreads-win32, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685545@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Kitt <steve@sk2.org> (supplier of updated pthreads-win32 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 Aug 2012 08:22:05 +0200
Source: pthreads-win32
Binary: libpthreads-mingw-w64
Architecture: source all
Version: 2.9.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Stephen Kitt <steve@sk2.org>
Changed-By: Stephen Kitt <steve@sk2.org>
Description: 
 libpthreads-mingw-w64 - POSIX threads library for 32- and 64-bit Windows
Closes: 685545
Changes: 
 pthreads-win32 (2.9.1+dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #685545).
Checksums-Sha1: 
 2621e2f22aa51b49316e0746c10abdd0fe1f8748 1963 pthreads-win32_2.9.1+dfsg-1.dsc
 c770ad5e5bf0c97cceff04703459d2b54d7e944a 279984 pthreads-win32_2.9.1+dfsg.orig.tar.bz2
 7da2fe4cd82cf65d19d9fd57eb549c06e3c28f62 5283 pthreads-win32_2.9.1+dfsg-1.debian.tar.gz
 6614c725be33f05a36bd0b6cb90def2ae6ab698f 252024 libpthreads-mingw-w64_2.9.1+dfsg-1_all.deb
Checksums-Sha256: 
 f1a476b66f319d27d638d86cad062199ead985e7f3283f01370c5f9ed22881d0 1963 pthreads-win32_2.9.1+dfsg-1.dsc
 097962c5e78c4b800b876de9edd99d428c21ae657a5f47a438701bfa402191ae 279984 pthreads-win32_2.9.1+dfsg.orig.tar.bz2
 2faeb6394bb85d9fcfcc4844c6b8087130b2019d3892a35e144d4cde6529bba8 5283 pthreads-win32_2.9.1+dfsg-1.debian.tar.gz
 cbd3237f0b6fa62e172a2934a2c6af961d85a263ae22fa2d4cd9009058364b2a 252024 libpthreads-mingw-w64_2.9.1+dfsg-1_all.deb
Files: 
 be35857e3b8cb0c2fa64949651e611c4 1963 devel extra pthreads-win32_2.9.1+dfsg-1.dsc
 7b0d2571e0e4966259d93750cef3e5ae 279984 devel extra pthreads-win32_2.9.1+dfsg.orig.tar.bz2
 4d309ecde6dafcf98ed1a3ff7e378ccb 5283 devel extra pthreads-win32_2.9.1+dfsg-1.debian.tar.gz
 a132ce50849398baddf67f72bc612c8d 252024 devel extra libpthreads-mingw-w64_2.9.1+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQs42hAAoJENkp8pkr7wozTFsP/3rqLRpocWxoiWcat1u+KUKs
bDKJh/KeH4hAptZ7eceIkfCtLceE/b5WGvLC+u6wUJiId9yvO+zI6ImhRLZPe5xp
1Yw00GjRTz+mHEMJ8HoxaB50HIqBMHyfQZtLbDhAbqnBRLmH+p0Fme+rOh2adHrV
3pGG8kkp5LEwhW3VITqiNgXgPgOyUuq1fmJ8P8H5Cd8tqBjBdk2S9/Eavjg7vhvG
9K5ljB+LlhxccrOyZ5cQzRbD6/Bqv3UY61R0Ws0euQCGhN1WQs0dqvfrP46O3+/M
AEQkh6IMLPKO6dgLIAkUapsSm949q3RusQvV+E3bN3C3udIAlCDghcpIG+o34jiN
8wJFzNU1BeCcn0As/uBITgH2H99lVNTAklJyOwmwIklvWDXEd16OkMfTe1DzBx7L
DAKd2GNPXjmCW38F9AJyE8kOAllWTI1UjHqfq8+8hQs+COpMUNDqSPg/miYXVJ7D
ImpcEx+wJtklO8qH/s3Nad1zgfIM4tPYICr8ktkQgcStXa4ybIizWeRKbjTfuFlR
Yz4nSare/qb6odk5m0QLyqllEoroU2t3uZvcGUHTXLEEH5L0wSIvtzzZvEwL3hOB
uQdsy3MAYeK4cfQSFrxfdX/kBrBQWiZeo0k6rvvwVrlEEe/7XO4wkZtJhMx8jTOL
bDuRqPuvV2DglK+7mRnZ
=TI/0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:28:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:06:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.